<template>
  <b-nav class="navbar navbar-light bg-light justify-content-between">
    <b-link class="navbar-brand">Gordijn Bereken Tool</b-link>
    <div v-if="!isAuthenticated" class="form-inline">
      <b-button @click="routeTo('login')"
              class="btn btn-success my-2 my-sm-0 mr-2" type="submit">Inloggen</b-button>
      <b-button @click="routeTo('register')"
              class="btn btn-success my-2 my-sm-0 mr-2" type="submit">Account maken</b-button>
    </div>
    <div v-else class="form-inline">
      <b-button @click="routeTo('products')"
              class="btn btn-success my-2 my-sm-0 mr-2" type="submit">Producten</b-button>
      <b-button @click="routeTo('logout')"
              class="btn btn-success my-2 my-sm-0 mr-2" type="submit">Uitloggen</b-button>
    </div>
  </b-nav>
</template>

<script>
import {mapGetters} from "vuex";
import {routeMixin} from "@/mixins/route";


export default {
  name: "navigation",
  mixins: [routeMixin],
  computed: {
    ...mapGetters(["isAuthenticated"])
  }
}
</script>

<style scoped>

</style>
